### Function

# Gimp context_set_sample_merged

#### Declaration [src]

    gboolean
    gimp_context_set_sample_merged (
      gboolean sample_merged
    )

#### Description [src]

Set the sample merged setting.

This procedure modifies the sample merged setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls whether the pixel data from the specified drawable is used (‘sample-merged’ is FALSE), or the pixel data from the composite image (‘sample-merged’ is TRUE. This is equivalent to sampling for colors after merging all visible layers).

This setting affects the following procedures: gimp_image_select_color(), gimp_image_select_contiguous_color(), gimp_drawable_edit_bucket_fill().

Available since: | 2.8

#### Parameters

`sample_merged` | `gboolean`
| The sample merged setting.

#### Return value

Returns: | `gboolean`
| TRUE on success.